package com.gic.enterprise.service;

import com.gic.enterprise.dto.data.DataActuallyPaidConfigDTO;
import com.gic.enterprise.entity.TabDataActuallyPaidConfig;

import java.util.List;

public interface DataActuallyPaidConfigService {

    /**
     * 新增实付配置
     * @Title: saveActuallyPaidConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  java.lang.Integer 
     */
    Integer saveActuallyPaidConfig(DataActuallyPaidConfigDTO dto);

    /**
     * @Title: listByEnterpriseId 
     * @Description: 
     * @author guojuxing 
 * @param enterpriseId 
     * @return  java.util.List<com.gic.enterprise.entity.TabDataActuallyPaidConfig> 
     */
    List<TabDataActuallyPaidConfig> listByEnterpriseId(Integer enterpriseId);

    /**
     * 逻辑删除
     * @Title: delete 
     * @Description:
     * @author guojuxing
     * @param enterpriseId
     * @param classify count
     * @return  int 
     */
    int delete(Integer enterpriseId, Integer classify);

    /**
     * 查询无效的记录，用于判断是否修改过配置，如果修改过，不允许再次edit
     * @param enterpriseId
     * @param classify
     * @return
     */
    int count(Integer enterpriseId, Integer classify);
}
